# $Id: drn_dsd2gen.awk,v 1.1 2002/04/12 16:39:57 jan Exp $
#
# Copyright (C) 1999, 2001 by Jan-Oliver Wagner
# 
#    This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# DESCRIPTION:
# This script reads in a GREAT-ER '.dsd' file (must be the second file!)
# and a GREAT-ER '.drn' file (must be the first file) and then produces
# a ArcInfo generate format file (lines) for the STP-Rivernet connection
# (2-point-arcs). 

BEGIN	{ FS = "," }	# set field separator

/^#/	{ next } 	# skip comments

/^$/	{ next }	# skip empty lines

NF == 1	{	# should catch the ID lines of '.drn'
	StretchID = 0 + $1
	getline line	# read the first coordinate pair after the ID.
	split(line, items, ",")
	coords[StretchID,0] = items[1]
	coords[StretchID,1] = items[2]
	next
	}

NF == 2	{ next }	# skip other coord pairs of '.drn'

	{	# should hit '.dsd' file
	StretchID = 0 + $8
	printf("%s", $8)
	printf("%d\n%f,%f\n%f,%f\nend\n", $1, $2, $3, coords[StretchID,0], coords[StretchID,1])
	}

END	{ print "end" }	# print 'end' token
